vidi-timeline creates a video timeline starting from a MIDI file.

The video clips are taken from a "VideoFont" in which each sample clip
corresponds to a note. The samples are arranged following the time and value of
the notes in the MIDI file.

vidi-timeline allows to create more easily videos like these:

* Lasse Gjertsen - Hyperactive -  https://youtu.be/o9698TqtY4A
* Vittorio Saggiomo - Mario Bros Column Chromatography - https://youtu.be/mxi3z2vDV_0


Examples of use
===============

Create a synthetinc VideoFont:

    $ ./create_test_videofont.py videofont


Play the timeline from a MIDI file using the samples from the VideoFont:

    $ ./vidi-timeline.py examples/Beyer\ Op.\ 101\ -\ Exercise\ 008.midi videofont


Save the timeline to be edited somewhere else (e.g. in PiTiVi):

    $ ./vidi-timeline.py examples/Beyer\ Op.\ 101\ -\ Exercise\ 008.midi videofont/ Beyer_008.xges


Render the timeline to a video file:

    $ ges-launch-1.0 --load Beyer_008.xges --outputuri Beyer_008.webm --format="video/webm:video/x-vp8:audio/x-vorbis"


Similar projects
================

Of course if the idea is cool, chances are that others had it too. :)

Midi-Vidi
---------

A similar concept called midi-vidi has been developed by Marcus Fischer:

* http://unrecnow.com/dust/325-midi-vidi-effect-demo/
* https://vimeo.com/8049917
* http://www.synthtopia.com/content/2009/12/09/midi-vidi-plugin-lets-you-control-video-via-midi-in-max-for-live/
* http://www.maxforlive.com/library/device.php?id=120

Midi-Vidi is also a very cool name, it sound like the Italian "mi dividi" which
means "you divide me".

VidiBox
-------

An interactive video mashup app:

* http://www.vidibox.net/
* https://twitter.com/vidibox
